%global git_date  20250126
%global git_hash  b50ed8a
%global git_ver  3.7

%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:     swayimg
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  A lightweight image viewer for Wayland display servers
License:  MIT
URL:      https://github.com/artemsen/swayimg
Source:   %{url}/%{src_name}

BuildRequires:  meson gcc-c++ make cmake
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  giflib-devel
#BuildRequires:  libheif-devel
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  librsvg2-devel
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  bash-completion
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(libavif)
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  pkgconfig(libsixel)

%description
Swayimg is a lightweight image viewer for Wayland display servers.

In a Sway compatible mode, the viewer creates an "overlay" above the currently active window, which gives the illusion that you are opening the image directly in a terminal window.

%prep
%autosetup -n %{name}

%build
%meson -Dheif=disabled
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}rc
%{_datadir}/applications/%{name}.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/zsh/site-functions/_swayimg
%{_mandir}/*

%changelog
%autochangelog
